Bug 440793 - FTBFS python-pyspf-2.0.3-1.fc8
FTBFS python-pyspf-2.0.3-1.fc8
Product: Fedora
Classification: Fedora
Component: python-pyspf (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: jafo-redhat
Fedora Extras Quality Assurance
Depends On:
Blocks: FTBFS
  Show dependency treegraph
Reported: 2008-04-04 12:00 EDT by FTBFS
Modified: 2008-10-04 20:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-15 14:26:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
root.log.bz2 (1.96 KB, application/x-bzip2)
2008-04-04 12:00 EDT, FTBFS
no flags Details
build.log.bz2 (1.83 KB, application/x-bzip2)
2008-04-04 12:00 EDT, FTBFS
no flags Details
root.log.bz2 (1.96 KB, application/x-bzip2)
2008-04-04 12:00 EDT, FTBFS
no flags Details
build.log.bz2 (1.81 KB, application/x-bzip2)
2008-04-04 12:00 EDT, FTBFS
no flags Details
python-pyspf spec that compiles on Fedora-9 (3.50 KB, text/plain)
2008-09-05 21:57 EDT, Stuart D Gathman
no flags Details
python-pyspf-2.0.5-1.fc9.src.rpm (43.66 KB, application/octet-stream)
2008-09-05 22:01 EDT, Stuart D Gathman
no flags Details

  None (edit)
Description FTBFS 2008-04-04 12:00:16 EDT
python-pyspf-2.0.3-1.fc8.src.rpm Failed To Build From Source
Comment 1 FTBFS 2008-04-04 12:00:20 EDT
Created attachment 300760 [details]

root.log for i386
Comment 2 FTBFS 2008-04-04 12:00:21 EDT
Created attachment 300761 [details]

build.log for i386
Comment 3 FTBFS 2008-04-04 12:00:23 EDT
Created attachment 300762 [details]

root.log for x86_64
Comment 4 FTBFS 2008-04-04 12:00:24 EDT
Created attachment 300763 [details]

build.log for x86_64
Comment 5 Bug Zapper 2008-05-14 04:45:20 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 Stuart D Gathman 2008-08-12 16:26:18 EDT
I am the upstream maintainer of pyspf.  It builds on F9 after adding a line for the egg.info (that python2.5 generates) in the spec file.  I have built packages for F9 in my private repo for the latest (2.0.5) source.  I have signed up with fedoraproject.org, and I'm supposed to email the package owner being trying to update it.  I find no email in the info for jafo, so I'm posting here.  I'll keep working on how to submit a python-pyspf-2.0.4 for F9, but maybe someone can give me some pointers.  I'm an old hand at RPM: started with RPM for AIX, but new to Fedora.  There is also an important update for python-pydns (and same egg.info build error).
Comment 7 FTBFS 2008-09-05 12:25:55 EDT
This package has Failed to Build From Source for many months.  Per
http://fedoraproject.org/wiki/FTBFS, this package is now proposed for
removal from the distribution.  Please address this FTBFS bug
immediately, or this package will be removed from the distribution
within the next few weeks.

Thank you for your continued contributions to Fedora, and your
commitment to ensuring Fedora packages remain buildable from source
Comment 8 Stuart D Gathman 2008-09-05 21:57:03 EDT
Created attachment 315940 [details]
python-pyspf spec that compiles on Fedora-9

I am still trying to find out the procedure for getting updates in.
Comment 9 Stuart D Gathman 2008-09-05 22:01:25 EDT
Created attachment 315941 [details]
Comment 10 Tom "spot" Callaway 2008-09-15 14:26:02 EDT
Fixed in rawhide:

Stuart, I suggest that you start the non-responsive maintainer procedure for this maintainer:

Comment 11 Sean Reifschneider 2008-09-15 15:48:07 EDT
Stuart: Are you interested in taking over this, or do you want me to push the new version out?

Comment 12 Tom "spot" Callaway 2008-09-15 15:56:24 EDT
In case it wasn't clear from Comment #10, I already pushed the new version to rawhide.
Comment 13 Stuart D Gathman 2008-09-15 21:28:42 EDT
Yes, I am interested in taking over.  I push out packages on sourceforge and freshmeat, and I am brushing up on the quality control procedures on fedora (like rpmlint).  I think the next step is to get a sponsor to become a fedora packager.
Comment 14 Kevin Fenzi 2008-09-17 01:13:02 EDT
Stuart: I'd be happy to look at sponsoring you... do you have any other packages you intend to submit? Or would you be interested in doing some 'pre-reviews' of waiting packages in the review queue to show your understanding of the guidelines?
Comment 15 Stuart D Gathman 2008-09-25 16:08:11 EDT
In addition to pyspf and pydns, which Sean is already handling (did you submit pydns-2.3.3? It has the port randomization everyone wants - although it doesn't affect any know pydns applications), I have pymilter - which lets you write sendmail / postfix milters.  The pymilter.spec file also builds 'milter' and 'milter-spf' for --target=noarch.   This is likely a naming issue, and I'm not sure if building different packages depending on target is kosher in fedora project.  I am slowly learning the ropes.

I believe I remember reading about a place to submit fedora spec files for merciless criticism, but I'll run rpmlint and stuff first.

And yes, I would like a sponsor.  I can take over pyspf and pydns if Sean would like to move on.  I thank him for getting them into fedora.
Comment 16 Sean Reifschneider 2008-10-04 20:10:55 EDT
I'm afraid I haven't had much attention for keeping up with all the different community projects I've been involved with lately, so I'm running pretty behind.

One thing I want to mention on pymilter is that there seems to be an issue with Fedora 9 on x86_64 in the sendmail package.  I don't recall the exact details, but the problem basically was that the sendmail package didn't properly include the milter library under x86_64, which caused pymilter to fail to build.  I spent some time trying to get this resolved, but in the end I had to build the library by hand, statically IIRC, and then manually copy that into place and build the pymilter RPM.

Just FYI.


Note You need to log in before you can comment on or make changes to this bug.